This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 496473 - (perl-Mixin-Linewise) Review Request: perl-Mixin-Linewise - Write your linewise code for handles; this does the rest
Review Request: perl-Mixin-Linewise - Write your linewise code for handles; t...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Mixin-Lin...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 10:07 EDT by Iain Arnell
Modified: 2011-03-16 14:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.002-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 23:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-19 10:07:36 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Mixin-Linewise.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Mixin-Linewise-0.002-1.fc12.src.rpm

Description:
It's boring to deal with opening files for IO, converting strings to handle-
like objects, and all that. With Mixin::Linewise::Readers and
Mixin::Linewise::Writers, you can just write a method to handle handles,
and methods for handling strings and filenames are added for you.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1307860

*rt-0.06
Comment 1 Chris Weyl 2009-04-19 14:13:59 EDT
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1307860

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
690054ea0c6876192e8223f39c5c814ba8a6fef1 Mixin-Linewise-0.002.tar.gz
690054ea0c6876192e8223f39c5c814ba8a6fef1 Mixin-Linewise-0.002.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Mixin-Linewise-0.002-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Mixin-Linewise-0.002-1.fc10.src.rpm
====> requires for perl-Mixin-Linewise-0.002-1.fc10.src.rpm
perl >= 1:5.6.0
perl(ExtUtils::MakeMaker)  
perl(IO::String)  
perl(Sub::Exporter) >= 0.9
perl(Test::More)  

=====> perl-Mixin-Linewise-0.002-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Mixin-Linewise-0.002-1.fc10.noarch.rpm
perl(Mixin::Linewise) = 0.002
perl(Mixin::Linewise::Readers) = 0.002
perl(Mixin::Linewise::Writers) = 0.002
perl-Mixin-Linewise = 0.002-1.fc10
====> requires for perl-Mixin-Linewise-0.002-1.fc10.noarch.rpm
perl >= 0:5.006
perl(:MODULE_COMPAT_5.10.0)  
perl(Carp)  
perl(IO::File)  
perl(IO::String)  
perl(Sub::Exporter)  
perl(strict)  
perl(warnings)  

APPROVED
Comment 2 Iain Arnell 2009-04-19 14:56:18 EDT
New Package CVS Request
=======================
Package Name: perl-Mixin-Linewise
Short Description: Write your linewise code for handles; this does the rest
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-23 12:37:36 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-23 23:25:48 EDT
perl-Mixin-Linewise-0.002-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Mixin-Linewise-0.002-1.fc10
Comment 5 Fedora Update System 2009-04-23 23:25:53 EDT
perl-Mixin-Linewise-0.002-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Mixin-Linewise-0.002-1.fc11
Comment 6 Iain Arnell 2009-04-23 23:30:20 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-06 19:24:57 EDT
perl-Mixin-Linewise-0.002-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-09 00:14:53 EDT
perl-Mixin-Linewise-0.002-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Iain Arnell 2010-03-28 05:54:53 EDT
Package Change Request
======================
Package Name: perl-Mixin-Linewise
New Branches: EL-4 EL-5
Owners: iarnell
InitialCC: perl-sig
Comment 10 Kevin Fenzi 2010-03-30 17:25:55 EDT
cvs done.
Comment 11 Fedora Update System 2010-03-30 23:48:01 EDT
perl-Mixin-Linewise-0.002-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Mixin-Linewise-0.002-2.el5
Comment 12 Fedora Update System 2010-04-19 19:24:42 EDT
perl-Mixin-Linewise-0.002-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-03-01 02:21:37 EST
Package perl-Mixin-Linewise-0.002-2.el4:
* should fix your issue,
* was pushed to the Fedora EPEL 4 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Mixin-Linewise-0.002-2.el4'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Mixin-Linewise-0.002-2.el4
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2011-03-16 14:18:34 EDT
perl-Mixin-Linewise-0.002-2.el4 has been pushed to the Fedora EPEL 4 stable repository.

Note You need to log in before you can comment on or make changes to this bug.